目录

Permanently deletes files from the recycle bin.

Request

HTTP Request

DELETE
https://drive.cloud.hicloud.com/drive/v1/files/recycle

Parameters

Parameter NameType
Description
quotaIdstringqueryUser identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user.
x-hw-trace-idstringheaderID used for service tracing.
x-hw-app-idstringheaderApp ID.
versionstringheaderSDK version number.
x-hw-terminalstringheaderDevice model.
x-hw-osstringheaderDevice operating system.
unionIDstringheaderOpen user ID.
User-AgentstringheaderApp version number or ID.
containersstringqueryQuery scope. Its value can be drive, applicationData, or a combination of the two (separated by a comma). The default value is drive.

Request Body

Leave the request body empty.

Parameter NameTypeDescription

Response

If successful, this method returns the 204 status code.